Index: Source/Python/Mods/checks.py
===================================================================
--- Source/Python/Mods/checks.py	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
+++ Source/Python/Mods/checks.py	(revision 8209738749e51ca1a930a71db547bfca4a26820b)
@@ -119,7 +119,8 @@
     '''Defines the correct area string.
 
-    Checks on the format of the four area components. Wether it is of
-    the order of 1000 or 1. Also checks wether area was already set by command
-    line, then the four components are overwritten.
+    Checks the format of the four area components wether it is on
+    the order of 1000 or 1. 
+    Also checks wether area was already set on command line, 
+    then the four components are overwritten.
     Convert to correct format of the order of magnitude "1" and sets the
     area parameter (North/West/South/East).
@@ -135,19 +136,19 @@
 
     upper : str
-        The northern most latitude.
+        The northernmost latitude.
 
     lower : str
-        The souther most latitude.
+        The southernmost latitude.
 
     left : str
-        The western most longitude.
+        The westernmost longitude.
 
     right : str
-        The eastern most longiude.
+        The easternmost longitude.
 
     Return
     ------
     grid : str
-        Contains grid in format Lat/lon. E.g. 0.1/0.1
+        Contains grid in format lat/lon. E.g. 0.1/0.1
     '''
     if 'N' in grid:  # Gaussian output grid
@@ -180,5 +181,5 @@
                                     float(right))
     else:
-        raise ValueError('The area components have different '
+        raise ValueError('Area components have inconsisten or unrecognised '
                          'formats (upper, lower, left, right): '
                          '{}/{}/{}/{}'.format(str(upper), str(lower),
@@ -209,6 +210,6 @@
     level : str
         Specifies the maximum level. It has to be one of the
-        available maximum level number as contained in the variable
-        MAX_LEVEL_LIST in "_config". E.g. [16, 19, 31, 40, 50, 60, 62, 91, 137]
+        available maximum level numbers as contained in the variable
+        MAX_LEVEL_LIST in "_config": [16, 19, 31, 40, 50, 60, 62, 91, 137]
 
     '''
@@ -346,5 +347,5 @@
     for i, val in enumerate(ftype):
         if ftype[i] == 'AN' and int(steps[i]) != 0:
-            print('Analysis retrievals must have STEP = 0 (now set to 0)')
+            print('For analysis data, STEP = 0 is needed. Setting to 0 now.)')
             ftype[i] = 0
 
@@ -386,5 +387,5 @@
     maxstep : int
         The maximum forecast time step in hours from the forecast base time.
-        This is the maximum step for non flux (accumulated) forecast data.
+        This is the maximum step for non-flux (not accumulated) forecast data.
 
     purefc : int
@@ -405,5 +406,5 @@
     if not len(ftype) == len(ftime) == len(steps):
         raise ValueError('ERROR: The number of field types, times and steps '
-                         'are not the same! Please check the setting in the '
+                         'are not the same! Please check the settings in the '
                          'CONTROL file!')
 
@@ -423,5 +424,5 @@
 
 def check_mail(mail):
-    '''Check the string of mail addresses, seperate them and convert to a list.
+    '''Check the string of mail addresses, separate them and convert to list.
 
     Parameters
@@ -529,5 +530,5 @@
 
 def check_dates(start, end):
-    '''Checks if there is at least a start date for a one day retrieval.
+    '''Checks if there is at least a start date for a one-day retrieval.
 
     Checks if end date lies after start date and end date is set.
@@ -628,5 +629,5 @@
 
 def check_request(request, marsfile):
-    '''Check if there is an old mars request file and remove it.
+    '''Check if there is an old MARS request file; if so, remove it.
 
     Parameters
@@ -651,6 +652,6 @@
 
 def check_public(public, dataset):
-    '''Check wether the dataset parameter is set for a
-    public data set retrieval.
+    '''Check wether the dataset parameter is set to a
+    public data set.
 
     Parameters
@@ -667,6 +668,6 @@
     '''
     if public and not dataset:
-        raise ValueError('ERROR: If public mars data wants to be retrieved, '
-                         'the "dataset"-parameter has to be set too!')
+        raise ValueError('ERROR: If public MARS data are to be retrieved, '
+                         'the "dataset"-parameter has to be set, too!')
     return
 
@@ -674,5 +675,5 @@
     '''Guarantees that the accumulation field type is set.
 
-    If not set, it is derivated as in the old method (TYPE[1]).
+    If not set, it is derived with the old method (TYPE[1]).
 
     Parameters
@@ -710,11 +711,11 @@
     '''Guarantees that the accumulation forecast times were set.
 
-    If it is not set, it tries to set the value for some of the
-    most commonly used data sets. Otherwise it raises an error.
+    If not set, setting the value to some of the most commonly used data sets
+    is attempted. Otherwise, an eror is raised.
 
     Parameters
     ----------
     acctime : str
-        The starting time from the accumulated forecasts.
+        The starting time for the accumulated forecasts.
 
     marsclass : str
@@ -727,9 +728,9 @@
     ------
     acctime : str
-        The starting time from the accumulated forecasts.
+        The starting time for the accumulated forecasts.
     '''
 
     if not acctime:
-        print('... Control parameter ACCTIME was not defined.')
+        print('... Control parameter ACCTIME was not set.')
         print('... Value will be set depending on field type:\n '
               '\t\t EA=06/18\n\t\t EI/OD=00/12\n\t\t EP=18')
@@ -745,10 +746,10 @@
             acctime = time[0]
         else:
-            raise ValueError('ERROR: Accumulation forecast time can not '
-                             'automatically be derived!')
+            raise ValueError('ERROR: Accumulation forecast time can not be'
+                             'derived automatically!')
     return acctime
 
 def check_accmaxstep(accmaxstep, marsclass, purefc, maxstep):
-    '''Guarantees that the accumulation forecast step were set.
+    '''Guarantees that the accumulation forecast step was set.
 
     Parameters
@@ -765,5 +766,5 @@
     maxstep : str
         The maximum forecast time step in hours from the forecast base time.
-        This is the maximum step for non flux (accumulated) forecast data.
+        This is the maximum step for non-flux (accumulated) forecast data.
 
     Return
@@ -773,5 +774,5 @@
     '''
     if not accmaxstep:
-        print('... Control parameter ACCMAXSTEP was not defined.')
+        print('... Control parameter ACCMAXSTEP was not set.')
         print('... Value will be set depending on field type/time: '
               '\n\t\t EA/EI/OD=12\n\t\t EP=24')
@@ -785,8 +786,8 @@
             print('... For pure forecast mode, the accumulated forecast must '
                   'have the same maxstep as the normal forecast fields!\n'
-                  '\t\t Accmaxstep was set to maxstep!')
+                  '\t\t ACCMAXSTEP was set to MAXSTEP!')
         else:
-            raise ValueError('ERROR: Accumulation forecast step can not '
-                             'automatically be derived!')
+            raise ValueError('ERROR: Accumulation forecast step can not be'
+                             'derived automatically!')
     else:
         if purefc and int(accmaxstep) != int(maxstep):
@@ -794,11 +795,11 @@
             print('... For pure forecast mode, the accumulated forecast must '
                   'have the same maxstep as the normal forecast fields!\n'
-                  '\t\t Accmaxstep was set to maxstep!')
+                  '\t\t ACCMAXSTEP was set to MAXSTEP!')
     return accmaxstep
 
 def check_addpar(addpar):
     '''Check that addpar has correct format of additional parameters in
-    a single string, so that it can be easily appended to the hard coded
-    parameters that are retrieved in any case.
+    a single string, so that it can be easily appended to the hard-coded
+    parameters retrieved in any case.
 
     Parameters
@@ -826,5 +827,5 @@
 
 def check_job_chunk(job_chunk):
-    '''Checks that if job chunk is set, the number is positive and non zero.
+    '''Checks that if job chunk is set, the number is positive and nonzero.
 
     Parameters
@@ -844,5 +845,5 @@
 
     if job_chunk < 0:
-        raise ValueError('ERROR: The number of job chunk is negative!\n'
+        raise ValueError('ERROR: The number of job chunks is negative!\n'
                          'It has to be a positive number!')
     elif job_chunk == 0:
